call spQuery_ComboMesComision('2011');

DROP PROCEDURE IF EXISTS spQuery_ComboMesComision;
CREATE PROCEDURE spQuery_ComboMesComision(
  varAnio varchar(4)
  )
BEGIN
  SELECT distinct id_mes, 
  case when id_mes = '01' then 'ENERO'
       when id_mes = '02' then 'FEBRERO' 
       when id_mes = '03' then 'MARZO' 
       when id_mes = '04' then 'ABRIL' 
       when id_mes = '05' then 'MAYO' 
       when id_mes = '06' then 'JUNIO' 
       when id_mes = '07' then 'JULIO' 
       when id_mes = '08' then 'AGOSTO' 
       when id_mes = '09' then 'SETIEMBRE' 
       when id_mes = '10' then 'OCTUBRE' 
       when id_mes = '11' then 'NOVIEMBRE' 
       when id_mes = '12' then 'DICIEMBRE' 
  end as mes
  from _sv_proveedor_comision
  where id_anio = varAnio
  and _estado = 'A'
  order by id_mes;
END;
